Subject: [JAGNUTS] Re: Davidson

From: "MGAdams" <[email-masked]>
Date: Fri, 4 Nov 2005 06:58:55 -0600

Ron,
By following the emails that Bob Burton forwarded to me, it appears there is
some interest about the old racing days in Saskatchewan, including Davidson. I
was never fortunate enough to do any of my racing in Saskatchewan, but as a
member of the Regina Sports Car Club, I have access to the archives, and have
collected a great deal of Saskatchewan Motorsport History. My records show the
first ever race on a road course was in Davidson in 1957. That would make 2007
the 50th anniversary of road racing in Sask.
I have been to the present Davidson track remains, and there is still one
semi-active runway in use by a crop duster. It could be tidied up and an
autocross or gymkhana could be held. Perhaps a collaboration of the current
Saskatchewan clubs could organize an event in Davidson. I am sure the
community would welcome a parade, car show type of event, with a low key fun
competitive event at the old track. Likely the Jagnuts, Regina Sports Car
Club, Saskatoon Sports Car Club, Queen City Motorsports Association, and other
clubs I don't know might find the idea intriguing and offer their services,
and some manpower.
Give it some thought and share with your membership and see if there is much
interest. I will do the same here with a few of the clubs I know. More photos
attached just for fun.

Mike Adams

[demime 1.01d removed an attachment of type image/jpeg which had a name of chicane.JPG]

[demime 1.01d removed an attachment of type image/jpeg which had a name of grid.jpg]

[demime 1.01d removed an attachment of type image/jpeg which had a name of present chicane 2002.jpg]

[demime 1.01d removed an attachment of type image/jpeg which had a name of old crowd.JPG]